MCP Tools Reference: netapp.googleapis.com

Tool: get_backup_policy

Get backup policy in a given project and location.

The following sample demonstrates how to use curl to invoke the get_backup_policy MCP tool.

Curl Request
                  
curl --location 'https://netapp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_backup_policy",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

GetBackupPolicyRequest gets the state of a backupPolicy.

GetBackupPolicyRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The backupPolicy resource name, in the format projects/{project}/locations/{location}/backupPolicies/{backup_policy_id}

Output Schema

Backup Policy.

BackupPolicy

JSON representation
{
  "name": string,
  "createTime": string,
  "labels": {
    string: string,
    ...
  },
  "state": enum (State),

  // Union field _daily_backup_limit can be only one of the following:
  "dailyBackupLimit": integer
  // End of list of possible types for union field _daily_backup_limit.

  // Union field _weekly_backup_limit can be only one of the following:
  "weeklyBackupLimit": integer
  // End of list of possible types for union field _weekly_backup_limit.

  // Union field _monthly_backup_limit can be only one of the following:
  "monthlyBackupLimit": integer
  // End of list of possible types for union field _monthly_backup_limit.

  // Union field _description can be only one of the following:
  "description": string
  // End of list of possible types for union field _description.

  // Union field _enabled can be only one of the following:
  "enabled": boolean
  // End of list of possible types for union field _enabled.

  // Union field _assigned_volume_count can be only one of the following:
  "assignedVolumeCount": integer
  // End of list of possible types for union field _assigned_volume_count.
}
Fields
name

string

Identifier. The resource name of the backup policy. Format: projects/{project}/locations/{location}/backupPolicies/{backup_policy_id}.

createTime

string (Timestamp format)

Output only. The time when the backup policy was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

labels

map (key: string, value: string)

Resource labels to represent user provided metadata.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

state

enum (State)

Output only. The backup policy state.

Union field _daily_backup_limit.

_daily_backup_limit can be only one of the following:

dailyBackupLimit

integer

Number of daily backups to keep. Note that the minimum daily backup limit is 2.

Union field _weekly_backup_limit.

_weekly_backup_limit can be only one of the following:

weeklyBackupLimit

integer

Number of weekly backups to keep. Note that the sum of daily, weekly and monthly backups should be greater than 1.

Union field _monthly_backup_limit.

_monthly_backup_limit can be only one of the following:

monthlyBackupLimit

integer

Number of monthly backups to keep. Note that the sum of daily, weekly and monthly backups should be greater than 1.

Union field _description.

_description can be only one of the following:

description

string

Description of the backup policy.

Union field _enabled.

_enabled can be only one of the following:

enabled

boolean

If enabled, make backups automatically according to the schedules. This will be applied to all volumes that have this policy attached and enforced on volume level. If not specified, default is true.

Union field _assigned_volume_count.

_assigned_volume_count can be only one of the following:

assignedVolumeCount

integer

Output only. The total number of volumes assigned by this backup policy.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

State

Enums
STATE_UNSPECIFIED State not set.
CREATING BackupPolicy is being created.
READY BackupPolicy is available for use.
DELETING BackupPolicy is being deleted.
ERROR BackupPolicy is not valid and cannot be used.
UPDATING BackupPolicy is being updated.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌